LMDE BREAKAGES - tracking TESTING

Post your update and upgrade related errors here
Forum rules
Before you post please read this

Re: LMDE BREAKAGES - tracking Testing - read here first-8/n

Postby GeneC on Wed Nov 30, 2011 8:40 am

Most excellent find, Greg! :D
Worked perfectly.
Fixed both testing and SID LMDE's. First time 'alacarte' in SID has worked in over a month. Makes you wonder why the Debian folks hadn't fixed it in upgrades :x
GeneC

AMD Phenom2x4 3.2 ghz, 12GB DDR3, Nvidia GTX 460

LMDE (Cinnamon)
Debian (Gnome Shell 3.8.4 - Testing)
Siduction (XFCE -Debian SID)
Makulu 5 (XFCE-Testing)
User avatar
GeneC
Level 6
Level 6
 
Posts: 1465
Joined: Fri Sep 03, 2010 1:59 pm
Location: Maine, USA

Linux Mint is funded by ads and donations.
 

Re: LMDE BREAKAGES - tracking Testing - read here first-8/n

Postby GregE on Thu Dec 01, 2011 4:57 am

You will not believe this but .....

Today in Sid python 2.7 was updated and the Alacarte fix is not longer required.

Sometimes the world can make you laugh.
User avatar
GregE
Level 4
Level 4
 
Posts: 441
Joined: Sun Jan 16, 2011 6:24 am
Location: Melbourne, Australia

Re: LMDE BREAKAGES - tracking Testing - read here first-8/n

Postby Brian49 on Thu Dec 01, 2011 7:42 am

zerozero wrote:about that btrfs message on boot, the most relevant thing i found is the patch (i think from dec last year) that deprecates btrfsctl, btrfs-vol and trfs-show and adds that message in the install file:
the full patch is here http://comments.gmane.org/gmane.comp.fi ... btrfs/8024

Thanks for this. But I'm still puzzled. The only btrfs-related package in the Debian repositories is btrfs-tools, containing the now-deprecated tools which you mention. So what and where is the non-deprecated alternative, I wonder? Many thanks.
Brian49
Level 5
Level 5
 
Posts: 601
Joined: Thu Oct 29, 2009 2:27 pm

Re: LMDE BREAKAGES - tracking Testing - read here first-8/n

Postby GeneC on Thu Dec 01, 2011 8:17 am

GregE wrote:You will not believe this but .....

Today in Sid python 2.7 was updated and the Alacarte fix is not longer required.

Sometimes the world can make you laugh.


:mrgreen:
GeneC

AMD Phenom2x4 3.2 ghz, 12GB DDR3, Nvidia GTX 460

LMDE (Cinnamon)
Debian (Gnome Shell 3.8.4 - Testing)
Siduction (XFCE -Debian SID)
Makulu 5 (XFCE-Testing)
User avatar
GeneC
Level 6
Level 6
 
Posts: 1465
Joined: Fri Sep 03, 2010 1:59 pm
Location: Maine, USA

Re: LMDE BREAKAGES - tracking Testing - read here first-8/n

Postby Gerd50 on Wed Dec 07, 2011 6:09 am

Todays update is a mega one. 262 MB to download for me. I first made a fresh fsarchiver backup and now hope the best for this:

Code: Select all
Paketaktualisierung (Upgrade) wird berechnet... Fertig
Die folgenden Pakete werden ENTFERNT: (removed)
  console-terminus murrine-themes
Die folgenden NEUEN Pakete werden installiert: (newly installed)
  console-setup-linux dconf-service gir1.2-clutter-gst-1.0 gir1.2-evince-3.0
  gir1.2-gst-plugins-base-0.10 gir1.2-gtkclutter-1.0 gir1.2-sushi-1.0
  gnome-sushi gnome-sushi-common gvfs-common gvfs-daemons gvfs-libs
  kerneloops-applet kerneloops-daemon krb5-locales libbind9-80 libcap-ng0
  libclutter-gst-1.0-0 libclutter-gtk-1.0-0 libdconf0 libdns81
  libdrm-nouveau1a libevent-2.0-5 libgck-1-0 libgjs0b libisc83 libisccc80
  libisccfg82 liblwres80 libsushi-1.0-0 libtracker-sparql-0.12-0
  libvte-2.90-common python-gi python-gobject-2
Die folgenden Pakete sind zurückgehalten worden: (kept back)
  amule amule-common amule-utils cups-driver-gutenprint ffmpeg
  gnome-desktop3-data gnome-keyring grub-common grub-pc grub-pc-bin
  grub2-common
Die folgenden Pakete werden aktualisiert (Upgrade):
  acl base-passwd bash bind9-host bsdutils busybox bzip2 comerr-dev
  console-setup cpp cups cups-bsd cups-client cups-common cups-pdf cups-ppdc
  dconf-gsettings-backend debdelta debianutils desktop-file-utils dmsetup
  dnsutils e2fslibs e2fslibs-dev e2fsprogs eject fakeroot fuse g++ gcc
  gcj-jre gcj-jre-headless gconf2 gconf2-common gdebi gdebi-core gedit
  gedit-common gedit-plugins ghostscript ghostscript-cups gir1.2-freedesktop
  gir1.2-glib-2.0 gir1.2-gtk-3.0 gir1.2-nautilus-3.0 gir1.2-vte-2.90
  gnome-session-bin gnome-terminal gnome-terminal-data grep
  gstreamer0.10-gconf gstreamer0.10-plugins-good gvfs host
  icedtea-6-jre-cacao icedtea-6-jre-jamvm iceweasel isc-dhcp-client
  isc-dhcp-common iso-codes kerneloops keyboard-configuration libaacs0
  libacl1 libattr1 libattr1-dev libblkid-dev libblkid1 libbz2-1.0 libbz2-dev
  libcomerr2 libcups2 libcupscgi1 libcupsdriver1 libcupsimage2 libcupsmime1
  libcupsppdc1 libcurl3-gnutls libdb4.8 libdb5.1 libdevmapper1.02.1
  libdrm-intel1 libdrm-radeon1 libdrm2 libdvdread4 libfftw3-3 libflite1
  libfuse2 libgail-3-0 libgcj-bc libgcj-common libgconf2-4 libgeoclue0
  libgirepository-1.0-1 libgl1-mesa-dri libgl1-mesa-glx libglapi-mesa
  libglibmm-2.4-1c2a libglu1-mesa libgnutls26 libgs9 libgs9-common
  libgssapi-krb5-2 libgssglue1 libgtk-3-0 libgtk-3-bin libgtk-3-common
  libgudev-1.0-0 libgutenprint2 libindicate5 libio-socket-inet6-perl
  libjack-jackd2-0 libjasper1 libk5crypto3 libkrb5-3 libkrb5support0
  liblvm2app2.2 libmount1 libmozjs8d libnautilus-extension1a libnet-http-perl
  libnfsidmap2 libpam-gnome-keyring libpci3 libpcsclite1 libperl5.14
  libphonon4 libpulse-mainloop-glib0 libpulse0 libpython2.7 libqt4-dbus
  libqt4-designer libqt4-network libqt4-opengl libqt4-qt3support
  libqt4-script libqt4-sql libqt4-sql-mysql libqt4-test libqt4-webkit
  libqt4-xml libqtcore4 libqtgui4 libraptor2-0 libroar-compat1 libroar1
  librpm2 librpmbuild2 librpmio2 librpmsign0 libsasl2-2 libsasl2-modules
  libseed-gtk3-0 libservlet2.5-java libshout3 libsigc++-2.0-0c2a libslang2
  libsmbclient libsoup-gnome2.4-1 libsoup2.4-1 libss2 libt1-5
  libtext-iconv-perl libudev0 libupower-glib1 libuuid1 libvisual-0.4-0
  libvisual-0.4-plugins libvte-2.90-9 libvte-common libvte9 libwavpack1
  libwbclient0 libwpd-0.9-9 libwps-0.2-2 libwxbase2.8-0 libwxgtk2.8-0
  libxalan2-java libxerces2-java libxerces2-java-gcj
  libxml-commons-resolver1.1-java linux-libc-dev logrotate mount nautilus
  nautilus-data nfs-common ntfs-3g openjdk-6-jre openjdk-6-jre-headless
  openjdk-6-jre-lib pciutils perl perl-base perl-modules procps psmisc
  psutils python-gobject python-nautilus python-reportbug python-wicd
  python2.7 python2.7-minimal qt4-qtconfig reportbug rpm rpm-common rpm2cpio
  samba-common samba-common-bin smbclient soundconverter udev upower
  util-linux uuid-dev vim-common vim-tiny w3m wicd wicd-daemon wicd-gtk winff
  winff-doc xserver-common xserver-xephyr xserver-xorg-core xulrunner-8.0
  xvfb
230 aktualisiert, 34 neu installiert, 2 zu entfernen und 11 nicht aktualisiert.
Es müssen 262 MB an Archiven heruntergeladen werden.
Nach dieser Operation werden 7.692 kB Plattenplatz zusätzlich benutzt.
Möchten Sie fortfahren [J/n]? j
I believe in everything, except humans.

LM9, Debian Testing Xfce, Debian Sid Xfce - CPU/Amd64 2,6Ghz, Graphics/Nvidia 9600 GT, Sound/SB Audigy4 emu10K1
User avatar
Gerd50
Level 5
Level 5
 
Posts: 738
Joined: Wed Jul 22, 2009 3:42 pm
Location: Fishtown, Germany

Re: LMDE BREAKAGES - tracking Testing - read here first-8/n

Postby viking777 on Wed Dec 07, 2011 7:07 am

Gerd50 wrote:Todays update is a mega one. 262 MB to download for me. I first made a fresh fsarchiver backup and now hope the best for this:

Code: Select all
Paketaktualisierung (Upgrade) wird berechnet... Fertig
Die folgenden Pakete werden ENTFERNT: (removed)
  console-terminus murrine-themes
Die folgenden NEUEN Pakete werden installiert: (newly installed)
  console-setup-linux dconf-service gir1.2-clutter-gst-1.0 gir1.2-evince-3.0
  gir1.2-gst-plugins-base-0.10 gir1.2-gtkclutter-1.0 gir1.2-sushi-1.0
  gnome-sushi gnome-sushi-common gvfs-common gvfs-daemons gvfs-libs
  kerneloops-applet kerneloops-daemon krb5-locales libbind9-80 libcap-ng0
  libclutter-gst-1.0-0 libclutter-gtk-1.0-0 libdconf0 libdns81
  libdrm-nouveau1a libevent-2.0-5 libgck-1-0 libgjs0b libisc83 libisccc80
  libisccfg82 liblwres80 libsushi-1.0-0 libtracker-sparql-0.12-0
  libvte-2.90-common python-gi python-gobject-2
Die folgenden Pakete sind zurückgehalten worden: (kept back)
  amule amule-common amule-utils cups-driver-gutenprint ffmpeg
  gnome-desktop3-data gnome-keyring grub-common grub-pc grub-pc-bin
  grub2-common
Die folgenden Pakete werden aktualisiert (Upgrade):
  acl base-passwd bash bind9-host bsdutils busybox bzip2 comerr-dev
  console-setup cpp cups cups-bsd cups-client cups-common cups-pdf cups-ppdc
  dconf-gsettings-backend debdelta debianutils desktop-file-utils dmsetup
  dnsutils e2fslibs e2fslibs-dev e2fsprogs eject fakeroot fuse g++ gcc
  gcj-jre gcj-jre-headless gconf2 gconf2-common gdebi gdebi-core gedit
  gedit-common gedit-plugins ghostscript ghostscript-cups gir1.2-freedesktop
  gir1.2-glib-2.0 gir1.2-gtk-3.0 gir1.2-nautilus-3.0 gir1.2-vte-2.90
  gnome-session-bin gnome-terminal gnome-terminal-data grep
  gstreamer0.10-gconf gstreamer0.10-plugins-good gvfs host
  icedtea-6-jre-cacao icedtea-6-jre-jamvm iceweasel isc-dhcp-client
  isc-dhcp-common iso-codes kerneloops keyboard-configuration libaacs0
  libacl1 libattr1 libattr1-dev libblkid-dev libblkid1 libbz2-1.0 libbz2-dev
  libcomerr2 libcups2 libcupscgi1 libcupsdriver1 libcupsimage2 libcupsmime1
  libcupsppdc1 libcurl3-gnutls libdb4.8 libdb5.1 libdevmapper1.02.1
  libdrm-intel1 libdrm-radeon1 libdrm2 libdvdread4 libfftw3-3 libflite1
  libfuse2 libgail-3-0 libgcj-bc libgcj-common libgconf2-4 libgeoclue0
  libgirepository-1.0-1 libgl1-mesa-dri libgl1-mesa-glx libglapi-mesa
  libglibmm-2.4-1c2a libglu1-mesa libgnutls26 libgs9 libgs9-common
  libgssapi-krb5-2 libgssglue1 libgtk-3-0 libgtk-3-bin libgtk-3-common
  libgudev-1.0-0 libgutenprint2 libindicate5 libio-socket-inet6-perl
  libjack-jackd2-0 libjasper1 libk5crypto3 libkrb5-3 libkrb5support0
  liblvm2app2.2 libmount1 libmozjs8d libnautilus-extension1a libnet-http-perl
  libnfsidmap2 libpam-gnome-keyring libpci3 libpcsclite1 libperl5.14
  libphonon4 libpulse-mainloop-glib0 libpulse0 libpython2.7 libqt4-dbus
  libqt4-designer libqt4-network libqt4-opengl libqt4-qt3support
  libqt4-script libqt4-sql libqt4-sql-mysql libqt4-test libqt4-webkit
  libqt4-xml libqtcore4 libqtgui4 libraptor2-0 libroar-compat1 libroar1
  librpm2 librpmbuild2 librpmio2 librpmsign0 libsasl2-2 libsasl2-modules
  libseed-gtk3-0 libservlet2.5-java libshout3 libsigc++-2.0-0c2a libslang2
  libsmbclient libsoup-gnome2.4-1 libsoup2.4-1 libss2 libt1-5
  libtext-iconv-perl libudev0 libupower-glib1 libuuid1 libvisual-0.4-0
  libvisual-0.4-plugins libvte-2.90-9 libvte-common libvte9 libwavpack1
  libwbclient0 libwpd-0.9-9 libwps-0.2-2 libwxbase2.8-0 libwxgtk2.8-0
  libxalan2-java libxerces2-java libxerces2-java-gcj
  libxml-commons-resolver1.1-java linux-libc-dev logrotate mount nautilus
  nautilus-data nfs-common ntfs-3g openjdk-6-jre openjdk-6-jre-headless
  openjdk-6-jre-lib pciutils perl perl-base perl-modules procps psmisc
  psutils python-gobject python-nautilus python-reportbug python-wicd
  python2.7 python2.7-minimal qt4-qtconfig reportbug rpm rpm-common rpm2cpio
  samba-common samba-common-bin smbclient soundconverter udev upower
  util-linux uuid-dev vim-common vim-tiny w3m wicd wicd-daemon wicd-gtk winff
  winff-doc xserver-common xserver-xephyr xserver-xorg-core xulrunner-8.0
  xvfb
230 aktualisiert, 34 neu installiert, 2 zu entfernen und 11 nicht aktualisiert.
Es müssen 262 MB an Archiven heruntergeladen werden.
Nach dieser Operation werden 7.692 kB Plattenplatz zusätzlich benutzt.
Möchten Sie fortfahren [J/n]? j


That amazes me, I got 1 new package and 15 upgrades - from the main server. There are still no more upgrades available as of 2 minutes ago.
Fujitsu Lifebook AH532. Intel i5 processor, 6Gb ram, Intel HD3000 graphics, Intel Audio/wifi. Realtek RTL8111/8168B Ethernet.Lubuntu 13.10,Ubuntu12.10 (Unity), Mint16 (Cinnamon), Manjaro (Xfce).
Image
User avatar
viking777
Level 14
Level 14
 
Posts: 5153
Joined: Mon Dec 01, 2008 11:21 am

Re: LMDE BREAKAGES - tracking Testing - read here first-8/n

Postby Gerd50 on Wed Dec 07, 2011 7:32 am

Thanks for your respond viking. Well, it's not my day, had sid repos enabled :oops:

It ended like this:

Code: Select all
Es wurden 262 MB in 1 h 33 min 43 s geholt (46,7 kB/s)                       
Laden der Fehlerberichte ... Erledigt
»Found/Fixed«-Informationen werden ausgewertet ... Erledigt
grave Fehler von python-gobject (2.28.6-5 -> 3.0.2-4) <in einigen Versionen als »erledigt« markiert>
 #640823 - Insufficient requirement on gobject-introspection (Gelöst: 1.30.0-1)
   Zusammengeführt mit: 640467 644026 645963
grave Fehler von gconf2 (2.32.4-1 -> 3.2.3-1) <ungelöst>
 #648836 - gnome-terminal: GConf Error: Configuration server couldn't be contacted
   Zusammengeführt mit: 648673
serious Fehler von libgconf2-4 (2.32.4-1 -> 3.2.3-1) <ungelöst>
 #649112 - ABI breakage without SONAME bump (gconf_engine_key_is_writable removed)
serious Fehler von util-linux (2.19.1-5 -> 2.20.1-1) <ungelöst>
 #650534 - util-linux: FTBFS: undefined reference to `rmd160_hash_buffer'
serious Fehler von procps (1:3.2.8-11 -> 1:3.3.1-1) <ungelöst>
 #651203 - procps: SONAME breakage
critical Fehler von isc-dhcp-client (4.1.1-P1-17 -> 4.2.2-1) <gekennzeichnet als »Korrektur in Arbeit«>
 #648676 - isc-dhcp-client - Changes hostname
serious Fehler von util-linux (2.19.1-5 -> 2.20.1-1) <gekennzeichnet als »Korrektur in Arbeit«>
 #650185 - util-linux: FTBFS on !linux-any
Zusammenfassung:
 gconf2(1 Fehler), python-gobject(1 Fehler), libgconf2-4(1 Fehler), util-linux(2 Fehler), isc-dhcp-client(1 Fehler), procps(1 Fehler)
Sind Sie sicher, dass Sie die oben genannten Pakete installieren bzw. ein Upgrade von ihnen wollen? [Y/n/?/...] n
*********************************************************************************
****** Beenden mit Fehler wurde erzwungen, um die Installation zu beenden. ******
*********************************************************************************
E: Unterprozess /usr/sbin/apt-listbugs apt || exit 10 hat Fehlercode zurückgegeben (10)
E: Failure running script /usr/sbin/apt-listbugs apt || exit 10
gerd50@rudi-ratlos:~$
I believe in everything, except humans.

LM9, Debian Testing Xfce, Debian Sid Xfce - CPU/Amd64 2,6Ghz, Graphics/Nvidia 9600 GT, Sound/SB Audigy4 emu10K1
User avatar
Gerd50
Level 5
Level 5
 
Posts: 738
Joined: Wed Jul 22, 2009 3:42 pm
Location: Fishtown, Germany

Re: LMDE BREAKAGES - tracking Testing - read here first-8/n

Postby viking777 on Wed Dec 07, 2011 7:40 am

Good job you made that backup then!
Fujitsu Lifebook AH532. Intel i5 processor, 6Gb ram, Intel HD3000 graphics, Intel Audio/wifi. Realtek RTL8111/8168B Ethernet.Lubuntu 13.10,Ubuntu12.10 (Unity), Mint16 (Cinnamon), Manjaro (Xfce).
Image
User avatar
viking777
Level 14
Level 14
 
Posts: 5153
Joined: Mon Dec 01, 2008 11:21 am

Re: LMDE BREAKAGES - tracking Testing - read here first-8/n

Postby BostonPeng on Wed Dec 07, 2011 8:55 am

I checked the Mint Update icon and saw over 200 updates, and I saw an update in the tracking thread saying Python got fixed (finally!). But when I opened Mint Updater and saw some of those updates are for KDE I fired up Konsole to get the package list.
Code: Select all
The following packages have been kept back:
  cups-driver-gutenprint gnome-desktop3-data kde-window-manager
  kde-workspace kde-workspace-bin kde-workspace-data
  kde-workspace-dev kde-workspace-kgreet-plugins kdm kinfocenter
  ksysguard ksysguardd libkdecorations4 libkephal4abi1
  libkscreensaver5 libksgrd4 libksignalplotter4 libkwineffects1abi2
  libkworkspace4 liblsofui4 libmarblewidget12
  libplasma-geolocation-interface4 libplasmaclock4abi2
  libplasmagenericshell4 libprocesscore4abi1 libprocessui4a
  libsolidcontrol4abi2 libsolidcontrolifaces4abi2
  libtaskmanager4abi2 libweather-ion6 marble marble-plugins
  plasma-dataengines-workspace plasma-desktop
  plasma-widgets-workspace xserver-xorg xserver-xorg-core
  xserver-xorg-input-evdev xserver-xorg-input-synaptics
  xserver-xorg-input-wacom xserver-xorg-video-apm
  xserver-xorg-video-ark xserver-xorg-video-ati
  xserver-xorg-video-chips xserver-xorg-video-cirrus
  xserver-xorg-video-fbdev xserver-xorg-video-i128
  xserver-xorg-video-i740 xserver-xorg-video-intel
  xserver-xorg-video-mach64 xserver-xorg-video-mga
  xserver-xorg-video-neomagic xserver-xorg-video-openchrome
  xserver-xorg-video-r128 xserver-xorg-video-radeon
  xserver-xorg-video-rendition xserver-xorg-video-s3
  xserver-xorg-video-s3virge xserver-xorg-video-savage
  xserver-xorg-video-siliconmotion xserver-xorg-video-sis
  xserver-xorg-video-sisusb xserver-xorg-video-tdfx
  xserver-xorg-video-trident xserver-xorg-video-tseng
  xserver-xorg-video-vesa xserver-xorg-video-vmware
  xserver-xorg-video-voodoo
The following packages will be upgraded:
  ark bomber bovo dolphin dragonplayer ffmpegthumbs
  freespacenotifier gimp gimp-data granatier gstreamer0.10-gconf
  gstreamer0.10-plugins-good gstreamer0.10-pulseaudio gwenview jovie
  juk kajongg kapman kate kate-data katepart katomic kbattleship
  kblackbox kblocks kbounce kbreakout kcalc kcharselect kde-baseapps
  kde-baseapps-bin kde-baseapps-data kde-config-cddb
  kde-plasma-desktop kde-runtime kde-runtime-data kde-runtime-dbg
  kde-standard kde-style-oxygen kde-wallpapers
  kde-wallpapers-default kde-workspace-dbg kdeartwork
  kdeartwork-emoticons kdeartwork-style kdeartwork-theme-window
  kdebase-apps kdebase-bin kdebase-runtime kdegames
  kdegames-card-data kdegames-mahjongg-data kdegraphics-libs-data
  kdelibs-bin kdelibs5-data kdelibs5-dbg kdelibs5-dev
  kdelibs5-plugins kdemultimedia kdemultimedia-kio-plugins kdepasswd
  kdepimlibs-kio-plugins kdeplasma-addons kdewallpapers kdiamond
  kdoctools kfind kfourinline kgoldrunner khelpcenter4 kigo killbots
  kiriki kjumpingcube klickety klines klipper kmahjongg kmines kmix
  kmouth knetwalk kolf kollision konq-plugins konqueror
  konqueror-nsplugins konquest konsole kopete kpat kreversi kscd
  kscreensaver kscreensaver-xsavers kshisen ksirk ksnapshot
  kspaceduel ksquares ksudoku ktron kttsd ktuberling kubrick
  kwalletmanager kwrite libakonadi-contact4 libakonadi-kabc4
  libakonadi-kcal4 libakonadi-kde4 libakonadi-kmime4 libdrm-intel1
  libdrm-nouveau1a libdrm-radeon1 libdrm2 libgimp2.0 libgpgme++2
  libkabc4 libkateinterfaces4 libkatepartinterfaces4 libkblog4
  libkcal4 libkcalcore4 libkcalutils4 libkcddb4 libkcmutils4
  libkdcraw-data libkde3support4 libkdeclarative5 libkdecore5
  libkdegames5a libkdesu5 libkdeui5 libkdewebkit5 libkdnssd4
  libkemoticons4 libkexiv2-10 libkexiv2-data libkfile4 libkggzgames4
  libkggzmod4 libkggznet4 libkholidays4 libkhtml5 libkidletime4
  libkimap4 libkimproxy4 libkio5 libkipi-data libkipi8 libkjsapi4
  libkjsembed4 libkldap4 libkmahjongglib4 libkmediaplayer4 libkmime4
  libknewstuff2-4 libknewstuff3-4 libknotifyconfig4 libkntlm4
  libkonq-common libkonq5-dev libkonq5-templates libkonq5abi1
  libkonqsidebarplugin4a libkontactinterface4 libkopete4 libkparts4
  libkpimidentities4 libkpimtextedit4 libkpimutils4 libkprintutils4
  libkpty4 libkresources4 libkrosscore4 libkrossui4 libksane-data
  libksane0 libktexteditor4 libktnef4 libkunitconversion4 libkutils4
  libkxmlrpcclient4 libmailtransport4 libmicroblog4 libnepomuk4
  libnepomukquery4a libnepomukutils4 libnfsidmap2 libokularcore1
  libplasma3 libqgpgme1 libsolid4 libsoprano-dev libsoprano4
  libsyndication4 libthreadweaver4 libvtk5.8 lskat marble-data
  mplayerthumbs okular oxygen-icon-theme palapeli palapeli-data
  plasma-containments-addons plasma-dataengines-addons
  plasma-desktopthemes-artwork plasma-runners-addons
  plasma-scriptengine-googlegadgets plasma-scriptengine-javascript
  plasma-scriptengine-python plasma-scriptengine-ruby
  plasma-scriptengine-superkaramba plasma-scriptengine-webkit
  plasma-scriptengines plasma-wallpapers-addons
  plasma-widget-folderview plasma-widget-lancelot
  plasma-widgets-addons python-kde4 soprano-daemon sweeper
  systemsettings tcl-vtk
226 upgraded, 0 newly installed, 0 to remove and 68 not upgraded.
Need to get 114 MB/661 MB of archives.
After this operation, 9,216 B disk space will be freed.

Hot damn! I love update days. Now I just have to see if python-appindicator is available after the update is done so I can get Webilder working again. I miss getting new walls every day, even if I don't keep all of the ones Webilder finds for me.

ETA: Damn. It still isn't available. :(
J.M. "BostonPeng" Hardin
Now very happily running SolydK
My new Linux blog: Tux + Me
It's time for Dodgers baseball!
User avatar
BostonPeng
Level 5
Level 5
 
Posts: 619
Joined: Mon Aug 02, 2010 8:50 am
Location: Boston, MA

Re: LMDE BREAKAGES - tracking Testing - read here first-8/n

Postby viking777 on Thu Dec 08, 2011 1:41 pm

If you are an sgfxi and nvidia user you might find that after today's updates (including mesa) you have to reinstall your graphics driver again. I was dumped into gnome fallback mode until I did that.
Fujitsu Lifebook AH532. Intel i5 processor, 6Gb ram, Intel HD3000 graphics, Intel Audio/wifi. Realtek RTL8111/8168B Ethernet.Lubuntu 13.10,Ubuntu12.10 (Unity), Mint16 (Cinnamon), Manjaro (Xfce).
Image
User avatar
viking777
Level 14
Level 14
 
Posts: 5153
Joined: Mon Dec 01, 2008 11:21 am

Re: LMDE BREAKAGES - tracking Testing - read here first-8/n

Postby Chris M on Thu Dec 08, 2011 3:57 pm

viking777 wrote:If you are an sgfxi and nvidia user you might find that after today's updates (including mesa) you have to reinstall your graphics driver again. I was dumped into gnome fallback mode until I did that.


All's well in XFCE.
Chris M
Level 2
Level 2
 
Posts: 81
Joined: Mon Nov 29, 2010 10:01 pm

Re: LMDE BREAKAGES - tracking Testing - read here first-8/n

Postby /dev/urandom on Fri Dec 09, 2011 3:36 pm

Tracking Testing kills mintMenu due to some dependencies, right?
How to avoid it?
Linux is not the only answer! :: eD2k/Kad mirrors for Linux Mint and LMDE.
Users who misspell "Windows" as "Windoze" intentionally will be considered stupid.

Image
User avatar
/dev/urandom
Level 4
Level 4
 
Posts: 353
Joined: Sun Jul 17, 2011 8:02 pm

Re: LMDE BREAKAGES - tracking Testing - read here first-8/n

Postby mockturtl on Fri Dec 09, 2011 4:20 pm

The fix for perl #650346 is in. (track)
Image
User avatar
mockturtl
Level 4
Level 4
 
Posts: 437
Joined: Sat Oct 09, 2010 8:51 pm

Re: LMDE BREAKAGES - tracking Testing - read here first-8/n

Postby viking777 on Sat Dec 10, 2011 7:07 am

viking777 wrote:If you are an sgfxi and nvidia user you might find that after today's updates (including mesa) you have to reinstall your graphics driver again. I was dumped into gnome fallback mode until I did that.


And again.

xserver-xorg this time.
Fujitsu Lifebook AH532. Intel i5 processor, 6Gb ram, Intel HD3000 graphics, Intel Audio/wifi. Realtek RTL8111/8168B Ethernet.Lubuntu 13.10,Ubuntu12.10 (Unity), Mint16 (Cinnamon), Manjaro (Xfce).
Image
User avatar
viking777
Level 14
Level 14
 
Posts: 5153
Joined: Mon Dec 01, 2008 11:21 am

Re: LMDE BREAKAGES - tracking Testing - read here first-8/n

Postby zerozero on Sat Dec 10, 2011 7:09 am

viking777 wrote:
viking777 wrote:If you are an sgfxi and nvidia user you might find that after today's updates (including mesa) you have to reinstall your graphics driver again. I was dumped into gnome fallback mode until I did that.


And again.

xserver-xorg this time.

:lol: dkms :wink:
User avatar
zerozero
Level 16
Level 16
 
Posts: 6435
Joined: Tue Jul 07, 2009 2:29 pm

Re: LMDE BREAKAGES - tracking Testing - read here first-8/n

Postby viking777 on Sat Dec 10, 2011 7:17 am

:lol: dkms :wink:
:lol: never :wink:

Actually now the 290.10 driver is stable now, I could revert back to dkms but I have got so used to sgfxi and I just know that some day I will need it again. I would like to run both at the same time, but they are mutually exclusive, as soon as you run sgfxi it uninstalls dkms. I will live with it for now but if it gets too much of a bother I suppose I will have to go back to dkms.
Fujitsu Lifebook AH532. Intel i5 processor, 6Gb ram, Intel HD3000 graphics, Intel Audio/wifi. Realtek RTL8111/8168B Ethernet.Lubuntu 13.10,Ubuntu12.10 (Unity), Mint16 (Cinnamon), Manjaro (Xfce).
Image
User avatar
viking777
Level 14
Level 14
 
Posts: 5153
Joined: Mon Dec 01, 2008 11:21 am

Re: LMDE BREAKAGES - tracking Testing - read here first-8/n

Postby mockturtl on Mon Dec 12, 2011 4:02 pm

Yesterday's update to bash wants to stomp /etc/bash.bashrc -- if you accidentally said 'Y,' swap it back in as follows:

Code: Select all
$ sudo mv /etc/bash.bashrc /etc/bash.bashrc.dpkg-dist   # hang on to new config
$ sudo mv /etc/bash.bashrc.dpkg-old /etc/bash.bashrc    # restore mint customized config

more info
Image
User avatar
mockturtl
Level 4
Level 4
 
Posts: 437
Joined: Sat Oct 09, 2010 8:51 pm

Re: LMDE BREAKAGES - tracking Testing - read here first-8/n

Postby Chris M on Mon Dec 12, 2011 11:50 pm

mockturtl wrote:Yesterday's update to bash wants to stomp /etc/bash.bashrc -- if you accidentally said 'Y,' swap it back in as follows:

Code: Select all
$ sudo mv /etc/bash.bashrc /etc/bash.bashrc.dpkg-dist   # hang on to new config
$ sudo mv /etc/bash.bashrc.dpkg-old /etc/bash.bashrc    # restore mint customized config

more info


mock, you and GregE are great additions, here. Thanks for that.
Chris M
Level 2
Level 2
 
Posts: 81
Joined: Mon Nov 29, 2010 10:01 pm

Re: LMDE BREAKAGES - tracking Testing - read here first-8/n

Postby ceykooo on Fri Dec 16, 2011 1:35 am

A recent update of gir1.2-glib-2.0 to 1.31.0-2 (and/or maybe gjs 1.29 to 1.30) broke the Alt-F2 run command prompt in gnome-shell. Any command you try to run to execute something in your path results in a "Command not found" error. See the referenced bugs: 656054 & 816762. The interface to gjs has changed, but gnome-shell has not been updated to use the new interface. We can fix this by manually applying these two patches to gnome-shell: 1 & 2

We just need to get rid of "argc" in a few places, and make a copy of the original for good measure:
Code: Select all
cd /usr/share/gnome-shell/js/misc
sudo mv util.js util.js.pkg-orig
sudo bash -c 'sed "s/argc, //" util.js.pkg-orig > util.js'

Don't forget to restart gnome-shell after to apply the changes. Execute "r" in Alt-F2.

This is one of the times when I like gnome 3. Just editing javascript is so much more convenient than recompiling.
ceykooo
Level 1
Level 1
 
Posts: 3
Joined: Fri Dec 16, 2011 12:30 am

Re: LMDE BREAKAGES - tracking Testing - read here first-8/n

Postby viking777 on Fri Dec 16, 2011 5:38 am

That is impressive ceykooo.
Not only a very quick bug report, but a solution along with it that works!
And all that in your first post on the forum :shock:
KUDOS :D
(and welcome to the forum btw).
Fujitsu Lifebook AH532. Intel i5 processor, 6Gb ram, Intel HD3000 graphics, Intel Audio/wifi. Realtek RTL8111/8168B Ethernet.Lubuntu 13.10,Ubuntu12.10 (Unity), Mint16 (Cinnamon), Manjaro (Xfce).
Image
User avatar
viking777
Level 14
Level 14
 
Posts: 5153
Joined: Mon Dec 01, 2008 11:21 am

Linux Mint is funded by ads and donations.
 
PreviousNext

Return to Update/Upgrade Issues

Who is online

Users browsing this forum: No registered users and 2 guests